Bug 116622 - Inserted EMF image is not cropped correctly
Summary: Inserted EMF image is not cropped correctly
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.2.7.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: EMF-WMF
  Show dependency treegraph
 
Reported: 2018-03-25 14:58 UTC by johan
Modified: 2019-04-15 04:37 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
example files (93.61 KB, application/zip)
2018-03-25 14:59 UTC, johan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description johan 2018-03-25 14:58:57 UTC
Description:
Migrated from bug 116335 (part 2)

Some EMF images are not cropped and displayed correctly when they are inserted into Writer. The top part of the image is missing but can be revealed by using the crop tool and pulling the top/top left crop handle outwards.

An example is attached. It contains:
- An EMF file
- A screenshot showing this problem
- A reference redering in Microsoft Word (note: This shows another, unrelated image as well)

Steps to Reproduce:
1. Download the example file and unpack it
2. Create a new document in Writer and insert the example EMF file into it
3. Look at the top of the image and compare with the screenshots. 
4. Select the image -> Crop
5. Pull the top left crop handle outwards to reveal the rest of the image.

Actual Results:  
The top part of the image is not initially displayed.

Expected Results:
The entire image should be displayed.


Reproducible: Always


User Profile Reset: No



Additional Info:
Tested with:

Version: 6.0.2.1
Build ID: f7f06a8f319e4b62f9bc5095aa112a65d2f3ac89
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
Locale: fi-FI (fi_FI); Calc: group


Version: 5.2.7.2
Build ID: 1:5.2.7-1+deb9u2
CPU Threads: 4; OS Version: Linux 4.9; UI Render: default; VCL: gtk2; 
Locale: fi-FI (fi_FI.utf8); Calc: group


Version: 5.4.5.1
Build ID: 79c9829dd5d8054ec39a82dc51cd9eff340dbee8
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
Locale: fi-FI (fi_FI); Calc: group


User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 johan 2018-03-25 14:59:37 UTC
Created attachment 140872 [details]
example files
Comment 2 johan 2018-03-25 15:03:42 UTC
Additional note: Try opening the EMF file in Inkscape. You can see that the top part is outside the canvas/page area.

(Inkscape does not show the image 100% correctly so it should not be used as a reference. This problem, however, can be seen in Inkscape as well.)
Comment 3 QA Administrators 2019-03-27 03:42:49 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug